Page MenuHomePhabricator

60% of MultimediaViewerNetworkPerformance events dropped (exceeds maxUrlSize)
Closed, ResolvedPublic

Description

As of T112592, we can now see how much is dropped client-side (before it even reaches the server). Depending on how long these are, resolution of T112002 may not actually help. The schema may just be too large and require redesign to be less verbose or otherwise more smaller.

https://grafana.wikimedia.org/#/dashboard/db/eventlogging-schema?from=now-12h&var-schema=MultimediaViewerNetworkPerformance


See also:

Event Timeline

Krinkle created this task.Sep 22 2015, 3:53 PM
Krinkle updated the task description. (Show Details)
Krinkle raised the priority of this task from to Needs Triage.
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2015, 3:53 PM
Krinkle renamed this task from 60% of MultimediaViewerNetworkPerformance dropped (exceeds maxUrlSize) to 60% of MultimediaViewerNetworkPerformance events dropped (exceeds maxUrlSize).Sep 22 2015, 3:53 PM
Krinkle set Security to None.
Jdlrobson triaged this task as Normal priority.Sep 23 2015, 7:05 PM
Jdlrobson added a subscriber: Jdlrobson.
Jdlrobson lowered the priority of this task from Normal to Low.Feb 2 2016, 6:30 PM

Any suggested actions here @Krinkle ? Setting to low as unlikely to work on this any time soon unless good reason.

Krinkle updated the task description. (Show Details)Feb 2 2016, 6:47 PM

@Jdlrobson: The suggested action is to rethink the purpose of what is being logged. Because whatever it is, it isn't working. Either the logging feature is useless and should be removed, or it should be rewritten to log something smaller or in a different way that is compatible with EventLogging. The current state as it was, was just broken.

https://grafana.wikimedia.org/dashboard/db/eventlogging-schema?from=now-5M&var-schema=MultimediaViewerNetworkPerformance

It looks like this schema is no longer used as of January 16's deployment. Either it was removed or it broke even more to the point log events don't make it to the validation stage.

@Tgr are you able to shed some light? I'm not sure what this was used for and if it's relevant any more...

Tgr added a subscriber: Gilles.Feb 4 2016, 10:18 PM

It's temporarily broken due to T91465 (a little bit less temporarily than expected, due to all the train skips). The length issue is probably fixed by T112002, but no one verified. It is used for the networks tabs of http://multimedia-metrics.wmflabs.org/dashboards/mmv which was useful for checking performance regressions while MMV was in active development, probably not so much now. I think @Gilles used it at some point for general performance metrics, but also not so much now.

Krinkle closed this task as Resolved.Mar 18 2016, 10:36 PM
Krinkle claimed this task.